uses aLogin;

VAR Fct: String[1];

BEGIN
   Fct := ParamStr(1);
   Case Fct[1] of
     'v','V': WriteLn('Verify: ', PasVerifyBinderyObjectPassword(ParamStr(2), 1, ParamStr(3)) );
     'c','C': WriteLn('Change: ', PasChangeBinderyObjectPassword(ParamStr(2), 1, ParamStr(3), ParamStr(4)) );
     'l','L': WriteLn('Login:  ', PasLoginToFileServer(ParamStr(2), 1, ParamStr(3)) )
     else     WriteLn('Syntax: LOGINTST V|C|L <username> <password> [newPassword]')
     end;

     {Return code '0' stands for successful operation;
      for other codes check the 'NetWare System Calls' documentation.
 
     ! User names and password are case sensitive !


     Examples:
        
         LOGINTST V GUEST SECRET
             -> Test if GUEST has the password "SECRET"
         
         LOGINTST c GUEST SECRET XYZ
             -> Change GUEST's password from "SECRET" to "XYZ"

         LOGINTST L GUEST SECRET
             -> Login as GUEST with the password "SECRET"
         
}

END.
